bamf (0.5.6+repack-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Tue, 30 Jan 2024 04:30:21 +0000

bamf (0.5.6+repack-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop patches 1001, 1002, 1003 and 1004. Not required anymore.
  * debian/upstream/signing-key.asc:
    + Add file.
  * debian/libbamf-doc.doc-base:
    + Provide API docs in /usr/share/doc/<pkg>/ (and symlink from
      gtk-doc/libbamf/).
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.
  * debian/rules:
    + Drop dh_strip override. The dbgsym migration is over.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 26 Feb 2022 00:21:02 +0100

bamf (0.5.4-2) unstable; urgency=medium

  [ handsome_feng ]
  * debian/patches:
    + Add 1003_add-compile-warning-flags.patch. Add enable-compile-warnings
      to configure.ac. (Closes: #940164)

  [ Mike Gabriel ]
  * debian/{compat,control}:
    + Use debhelper-compat notation. Bump to DH compat level version 12.
  * debian/rules:
    + Use dh_missing override instead of dh_install --fail-missing.
    + Set --without autoreconf, handled by autogen.sh.
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to no.
    + Update B-D python-libxslt1 -> python3-lxml. (Closes: #942913).
  * debian/patches:
    + Fix typo in 1003_add-compile-warning-flags.patch
    + Add 1004_py2to3_gtester2xunit.patch. Use python3 for gtester2xunit.py.
      Port libxml2/libxslt module usage to lxml module usage.
  * debian/bamfdaemon.install:
    + New file location for bamfdaemon and bamfdaemon-dbus-runner (libexec
      dir).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Nov 2019 10:33:50 +0100

bamf (0.5.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_allow-colon-separated-values-in-XDG-CURRENT-DESKTOP.patch,
           1001_autotools-pkg-config-macro-not-cross-compilation-safe.patch,
           2002_use-dbus-run-session-instead-of-dbus-launch.patch,
           2003_allow-gtk3-deprecated-symbols.patch.
     ... now applied upstream.
    + Rebase 2001_build-using-mate-common.patch.
    + Add 1001_remove-former-mono-macros.patch. Remove SHAMROCK_EXPAND_* macros
      from configure.ac.
    + Add 1002_spelling-fix.patch. Correctly spell the word "associated".
  * debian/control:
    + Bump Standards-Version: to 4.2.1. No changes needed.
  * debian/rules:
    + Stop using dpkg-parsechangelog.
  * debian/libbamf3-2.symbols:
    + Add Build-Depends-Package: meta-info field.
  * lintian: Silence complaint about /usr/share/applications being an empty dir
    in the bamfdaemon bin:pkg.
  * debian/bamfdaemon.triggers:
    + Explicitly mark triggers as -noawait triggers.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 12 Nov 2018 21:59:45 +0100

bamf (0.5.3-3) unstable; urgency=medium

  * debian/copyright:
    + Use secure URI for copyright format.
  * debian/control:
    + Update Vcs-*: fields. Package has been migrated to salsa.debian.org.
    + Switch Maintainer: from Alioth's pkg-mate-team to debian-mate at
      lists.debian.org.
    + Bump Standards-Version: to 4.1.5. No changes needed.
  * debian/{control,compat}: Bump DH compat level to version 11.
  * debian/patches:
    + Add 1001_autotools-pkg-config-macro-not-cross-compilation-safe.patch.
      Fix FTCBFS (lintian tag autotools-pkg-config-macro-not-cross-compilation-
      safe).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 21 Jul 2018 23:08:26 +0200

bamf (0.5.3-2) unstable; urgency=medium

  * debian/control:
    + Re-add to Uploaders: field: Didier Roche. Erroneously removed in a previous upload.
    + Remove Andrea Veri from Uploaders: on self-request. (Closes: #827976).
  * debian/{bamfdaemon.dirs,bamfdaemon.postrm}:
    + Add /usr/share/applications/ as dpkg-managed directory.
    + Don't mess with /usr/share/applications manually. (Closes: #683757).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 13 Dec 2016 10:29:55 +0100

bamf (0.5.3-1) unstable; urgency=medium

  * Re-upload to unstable.
  * debian/patches:
    + Add 2003_allow-gtk3-deprecated-symbols.patch. Tolerate deprecation
      warnings from GTK3. Prevent FTBFS against GTK 3.22.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 30 Nov 2016 10:14:29 +0100

bamf (0.5.3-1~exp2) experimental; urgency=medium

  * debian/control:
    + Add to B-D: mate-common.
    + Drop B-D on dbus-x11, rather versioned build-depend on dbus (>= 1.8).
  * debian/patches:
    + Add 2001_build-using-mate-common.patch. Build using mate-common instead
      of gnome-common. (Closes: #829799).
    + Add 2002_use-dbus-run-session-instead-of-dbus-launch.patch. Use
      dbus-run-session in favour of dbus-launch in unit tests. (Closes: 836081).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 13 Oct 2016 11:46:36 +0200

bamf (0.5.3-1~exp1) experimental; urgency=medium

  [ Mike Gabriel ]
  * New upstream release. (Closes: #776146).
    - Resolves FTBFS in previous Debian package version. (Closes: #826450).
  * debian/control:
    + Debian's MATE Packaging Team becomes new maintiner of bamf.
      (Closes: #779565).
    + Set Vcs-*: fields to pkg-mate namespace on Alioth.
    + Use secure URLs for Vcs-*: field.
    + Bump Standards: to 3.9.8.
    + Improve wording of LONG_DESCRIPTION fields.
    + Remove from Uploaders: field: Didier Roche on self-request. (Closes:
      #827976).
  * debian/{control,rules}:
    + Split-up debug packages to provide proper multi-arch same bin:packages
      for the library part of bamf.
    + Stop using autoreconf, simply run autogen.sh at configure time. (Closes:
      #746324).
    + Don't build dbg:packages anymore.
      See https://wiki.debian.org/AutomaticDebugPackages.
  * debian/source/format:
    + Switch to format 3.0 (quilt).
  * debian/rules:
    + Add get-orig-source rule.
    + Create orig tarball in ../ rather then CURDIR.
    + Enable all hardening flags.
    + Fix detection of PKD variable.
  * debian/*.install:
    + Don't prepend debian/tmp/ in *.install files.
    + Install systemd and upstart service/conf files into bin:pkg bamfdaemon.
  * debian/bamfdaemon.post*:
    + Tabify indentation.
  * debian/bamfdaemon.postinst:
    + Remove old bamf.index file from /usr/share/applications/.
  * debian/bamfdaemon.postrm:
    + Attempt removal of /usr/share/applications/ (if empty). (Closes: #683757).
      Also remove bamf-2.index (not bamf.index) from /usr/share/applications.
  * debian/copyright:
    + Switch to DEP-5 machine-readable copyright file.
    + Add autogenerated copyright.in template.
    + Finalize for release. Drop references to build cruft files stemming from
      autoconf and autotools.
  * debian/libbamf3-2.symbols:
    + Update symbols for this upstream release.
  * debian/patches:
    + Cherry-pick rev649 from bzr-upstream:
      0001_allow-colon-separated-values-in-XDG-CURRENT-DESKTOP.patch. Adjust for
      XDG_CURRENT_DESKTOP containing multiple colon-separated values.

  [ Rico Tzschichholz ]
  * Apply "wrap-and-sort -ta".
  * debian/rules:
    + Fix gir-package reference.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Oct 2016 13:57:13 +0200

bamf (0.2.118-1) unstable; urgency=low

  * Backport latest release to debian
  * debian/control:
    - bump Standards-Version to latest
    - remove build-dep only used for unit tests
    - replace the gtk2 variant of the wnck introspection gir package with
      gtk3 one
    - ensure the gtk2/gtk3 version doesn't have the same description
  * debian/*.symbols:
    - adding some PRIVATE symbols to make lintian happy. We saw that bamf
      is exporting by error some of its private symbols. This will be fixed
      in next released (and so the symbols will be removed from the .symbols
      files)
  * debian/rules:
    - add hardening flags (thanks Andrea)
  * debian/sources/format:
    - added to specify we use format 1.0

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 01 Jun 2012 11:51:11 +0200

bamf (0.2.118-0ubuntu1) quantal; urgency=low

  [ Didier Roche ]
  * New upstream release. (0.2.116)
    - multiple instances or double icons of application detected on bamfdaemon
      respawn (LP: #928912)
    - unity confused with chrome/chromium web apps (LP: #692462)
    - BamfView's dispose() method doesn't invoke the superclass' dispose()
      (LP: #986888)
  * debian/control:
    - remove Multi-Arch: same for the -dbg package
      (Closes: #669980, #658057)

  [ Alan Pope ]
  * New upstream release.
    - Unity crashed in bamf_application_on_window_removed (LP: #1000577)
    - Locked smuxi launcher icon does not indicate smuxi running status
      (LP: #999820)
    - No launcher icon or Alt+Tab entry for Gimp windows (LP: #995916)
    - the RunningApplicationsChanged signal is no longer emitted when an
      application is closed since r460 (LP: #989551)

 -- Alan Pope <popey@ubuntu.com>  Wed, 23 May 2012 09:10:08 +0100

bamf (0.2.114-0ubuntu1) precise-proposed; urgency=low

  * New upstream release.
    - invalid valgrind read errors (LP: #929468)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 23 Mar 2012 14:16:41 +0100

bamf (0.2.112-0ubuntu1) precise; urgency=low

  * New upstream release.
    - bamf matcher messes up refcounting on views (LP: #942070)
    - Chromium is running, but not showing in launcher or alt-tab.
      (LP: #918474)
    - libbamf leaks memory on view dispose (LP: #942148)
    - Coverity PW.PARAMETER_HIDDEN - CID 10449 (LP: #937398)
    - Coverity UNINIT - CID 10451 (LP: #937402)
  * debian/libbamf0.symbols, debian/libbamf3-0.symbols:
    - update symbols for new API

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 12 Mar 2012 11:47:33 +0100

bamf (0.2.110-0ubuntu1) precise; urgency=low

  * New upstream release.
    - BAMF does not pass make check (LP: #897148)
    - BAMF requires a headless testing target (LP: #897150)
    - Clicking Nautilus launcher icon fails to open a Nautilus file explorer
      window when  copying a file and all other Nautilus windows are closed /
      bamf should skip the taskbar (LP: #784804)
  * debian/libbamf0.symbols,
    debian/libbamf3-0.symbols:
    - updated symbols

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 17 Feb 2012 13:36:25 +0100

bamf (0.2.108-0ubuntu2) precise; urgency=low

  * remove -Werror for now as there is just new glib deprecation making it
    FTBFS.
  * debian/source/
    - remove, doesn't play well with merge-upstream workflow

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 03 Feb 2012 14:04:28 +0100

bamf (0.2.108-0ubuntu1) precise; urgency=low

  * New upstream release.
    - BAMF does not pass make check (LP: #897148)
    - BAMF requires a headless testing target (LP: #897150)
    - Clicking Nautilus launcher icon fails to open a Nautilus file explorer
      window when  copying a file and all other Nautilus windows are closed /
      bamf should skip the taskbar (LP: #784804)
  * debian/libbamf0.symbols, debian/libbamf3-0.symbols:
    - updated symbols

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 03 Feb 2012 11:36:48 +0100

bamf (0.2.106-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Unity acts not as a dock for LibreOffice but as a launcher (LP: #741995)
    - Libreoffice Calc icon does not appear when opened via Writer
      (LP: #861355)
    - Bamf Ignores some local .desktop files with OnlyShowIn flag
      (LP: #863290)
    - Libreoffice and unity integration broken. (LP: #842566)
  * debian/control, debian/rules:
    - enable headless tests build
  * debian/control:
    - bump libglib2.0-dev to 2.28

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 12 Jan 2012 17:01:43 +0100

bamf (0.2.104-1) unstable; urgency=low

   [ Didier Roche ]
   * Initial upload to Debian. Package grabbed from Ubuntu,
     we'll keep this package in sync within the two
     distributions.
   * debian/control:
     - removed gir's package for now, still not building
       correctly.

   [ Andrea Veri ]
   * debian/control:
     - changed Maintainer accordingly.
     - added myself into uploaders.
 -- Didier Roche <didrocks@ubuntu.com>  Mon, 21 Nov 2011 10:56:21 +0100

bamf (0.2.104-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Hopefully really fix unity confused with chrome (not chromium) web apps
      (LP: #692462)
    - Fix to build with gtk2 version

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 26 Sep 2011 13:51:22 +0200

bamf (0.2.100-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Fix unity confused with chrome web apps (LP: #692462)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 22 Sep 2011 15:15:28 +0200

bamf (0.2.98-0ubuntu2) oneiric; urgency=low

  * Cherry-pick a crasher fix:
    - bamfdaemon crashed with SIGSEGV in sn_xcb_display_new()

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 15 Sep 2011 15:54:20 +0200

bamf (0.2.98-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Bamf doesn't recognize just installed applications (LP: #676593)
  * debian/control:
    - update Standards-Version

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 08 Sep 2011 20:09:28 +0200

bamf (0.2.96-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Aug 2011 17:44:16 +0200

bamf (0.2.94-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - no more dependency on the gio ubuntu patch, use the upstream system now
      (LP: #687683)
  * debian/rules:
    - the new tests depends on a X server, desactivate them when building on
      buildd
  * debian/bamfdaemon.install:
    - do not install the gio module as it's not built anymore

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 04 Aug 2011 14:56:07 +0200

bamf (0.2.92-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/control, debian/rules:
    - Add libbamf3-0 and libbamf3-dev packages for GTK+ 3

 -- Michael Terry <mterry@ubuntu.com>  Fri, 17 Jun 2011 12:19:14 -0400

bamf (0.2.90-0ubuntu3) natty-proposed; urgency=low

  * Cherry-pick from upstream:
    - System Testing and Printers don't display proper menus when launched by
      command line (LP: #717134)
    - Unity Min,Max,Close buttons not available in Libreoffice when opened by
      double-clicking a file (LP: #728927)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 27 Apr 2011 17:07:18 +0200

bamf (0.2.90-0ubuntu2) natty; urgency=low

  * Cherry-pick from upstream:
    - Thunderbird won't stay in launcher and no quicklist (LP: #765736)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 20 Apr 2011 18:07:49 +0200

bamf (0.2.90-0ubuntu1) natty; urgency=low

  * New upstream release.
    - compiz assert failure: *** glibc detected *** compiz: double free or
      corruption (out): 0x0a1c5a38 *** (LP: #761372)
    - "Authenticate" window shows in launcher as "Polkit-gnome-authentication-
      agent-1" (LP: #740844)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 19 Apr 2011 19:09:34 +0200

bamf (0.2.86-0ubuntu3) natty; urgency=low

  * Cherry-pick a crash fix in unity with double free corruption (LP: #761372)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 15 Apr 2011 12:49:24 +0200

bamf (0.2.86-0ubuntu2) natty; urgency=low

  * Trunk commit r358, really fixes the crash bug listed before (lp: #754225)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 12 Apr 2011 22:19:24 +0200

bamf (0.2.86-0ubuntu1) natty; urgency=low

  * New upstream release.
    - bamfdaemon crashed with SIGABRT in dbus_g_connection_register_g_object()
      (LP: #752137)
    - bamfdaemon crashed with SIGABRT in dbus_g_connection_register_g_object()
      (LP: #754225)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 11 Apr 2011 12:41:48 +0200

bamf (0.2.84-0ubuntu2) natty; urgency=low

  * Move the giomodule DSO back to /usr/lib/gio/modules, because something
    we haven't identified yet refuses to see it when it's installed to the
    multiarch path.  LP: #751025

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Apr 2011 23:54:53 +0000

bamf (0.2.84-0ubuntu1) natty; urgency=low

  * New upstream release.
    - unity-panel-service crashed with SIGSEGV in bamf_factory_view_for_path()
      (LP: #717684)
    - bamfdaemon crashed with SIGABRT in dbus_g_connection_register_g_object()
      (LP: #739218)
    - compiz crashed with SIGSEGV in g_utf8_validate() (LP: #736792)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 07 Apr 2011 17:17:54 +0200

bamf (0.2.82-0ubuntu1) natty; urgency=low

  * New upstream release.
    - bamfdaemon crashed with SIGSEGV in XInternAtom() (LP: #743407)
    - catch more cases for 'Keep in Launcher' by recognizing StatupWMClass
      from .desktop file (LP: #693231)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 01 Apr 2011 11:17:17 +0200

bamf (0.2.80-0ubuntu2) natty; urgency=low

  * Fix a FTBFS with current libglib2.0 due to the giomodules path changing
    for multiarch.
  * As long as we're in here, multiarch the whole package; bamf has no
    reverse-depends, so there's no risk of causing other build failures, and
    moving the giomodules takes us halfway there anyway.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 29 Mar 2011 19:50:12 +0000

bamf (0.2.80-0ubuntu1) natty; urgency=low

  * New upstream release.
    - 'Keep in launcher' item missing for some applications (LP: #657771)
    - can't pin KTouch to the launcher (LP: #693755)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 17 Mar 2011 17:51:00 +0100

bamf (0.2.78-0ubuntu1) natty; urgency=low

  * New upstream release:
    - adapt bamf to LibreOffice (LP: #705461)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 10 Feb 2011 17:59:34 +0100

bamf (0.2.76-0ubuntu1) natty; urgency=low

  * New upstream release.
    - add a new signal to detect tab changes (LP: #691651)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 27 Jan 2011 13:50:42 +0100

bamf (0.2.74-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Set the default application icon when the application desktop file has no icon=
      key. It was appearing fully black. (LP: #703521)
  * debian/control:
    - remove vala build-dep, not needed anymore

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 20 Jan 2011 17:45:45 +0100

bamf (0.2.72-0ubuntu1) natty; urgency=low

  * New upstream release.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 14 Jan 2011 19:02:24 +0100

bamf (0.2.70-0ubuntu1) natty; urgency=low

  * New upstream release.
  * debian/control:
    bamf dbus protocol changed. Breaks: on old unity

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 14 Jan 2011 17:30:12 +0100

bamf (0.2.68-0ubuntu1) natty; urgency=low

  [ Didier Roche ]
  * debian/control:
    - add Vcs-Bzr tag

  [ Sebastien Bacher ]
  * New upstream release.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 17 Dec 2010 13:36:08 +0100

bamf (0.2.66-0ubuntu1) natty; urgency=low

  * New upstream release.
   - Fix the Ubuntu Starter Edition bug (LP: #683623)
   - check that desktop file is currently supported before creating the
     favorite (LP: #682345)
   - unity-panel-service crashed with SIGSEGV in free() (LP: #677580)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 09 Dec 2010 19:37:54 +0100

bamf (0.2.64-0ubuntu1) natty; urgency=low

  * New upstream release.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 30 Nov 2010 16:52:19 +0100

bamf (0.2.62-0ubuntu1) natty; urgency=low

  * New upstream release.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 18 Nov 2010 18:28:10 +0100

bamf (0.2.60-0ubuntu1) natty; urgency=low

  * new upstream release
  * debian/libbamf0.symbols:
    - add the new symbols

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 11 Nov 2010 18:37:42 +0100

bamf (0.2.58-0ubuntu2) maverick; urgency=low

  * Fix tons of accuracy matching issues using the gio module
    (LP: #645849, #630066)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 30 Sep 2010 17:14:27 +0200

bamf (0.2.58-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Fix Nautilus' "File Operation" dialog gets stuck and prevents opening new
      Nautilus windows (LP: #647979)
    - Fix bamfdaemon crashed with SIGSEGV in g_str_hash() (LP: #638705)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 27 Sep 2010 22:28:40 +0200

bamf (0.2.54-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * cherry pick some patches from upstream too for more fixes in special
    launchers (LP: #622146)
  * debian/libbamf0.symbols:
    - update to latest version

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 22 Sep 2010 19:21:45 +0200

bamf (0.2.52-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Take previous distro inline patch with next release (LP: #641229)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 17 Sep 2010 13:52:17 +0200

bamf (0.2.50-0ubuntu1) maverick; urgency=low

  * New upstream release.
    - Caching fixes
    - Ensure we ship proper strings to open office windows

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 15 Sep 2010 17:23:41 -0400

bamf (0.2.48-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Dropbox 0.8.90 build shows in the launcher (LP: #610226)
  * update debian/libbamf0.symbols

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 14 Sep 2010 19:13:51 +0200

bamf (0.2.46-0ubuntu1) maverick; urgency=low

  * New upstream release.
    - Handle non system launchers (LP: #622146)
  * Add new symbols to debian/libbamf0.symbols

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 09 Sep 2010 19:15:45 +0200

bamf (0.2.44-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Fix potential NULL deref when XDG_DATA_DIRS is not set
      (lp: #602519)
  * debian/control:
    - updated for the new vala versioning
  * debian/libbamf0.symbols:
    - new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 19 Aug 2010 19:16:15 +0200

bamf (0.2.42-0ubuntu2) maverick; urgency=low

  * Update by Mikkel Kamstrup Erlandsen to match gio changes (lp: #616737)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 18 Aug 2010 22:31:44 +0200

bamf (0.2.42-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * debian/rules:
    - enjoying and running testsuite during build (LP: #586340)
  * debian/control:
    - bumping Standards-Version to latest
    - remove gir-repository-dev from build-dep

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 13 Aug 2010 12:44:39 +0200

bamf (0.2.40-0ubuntu1) maverick; urgency=low

  * New upstream release.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 02 Aug 2010 15:54:41 +0200

bamf (0.2.38-0ubuntu1) maverick; urgency=low

  * New upstream release.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 22 Jul 2010 19:07:31 +0200

bamf (0.2.36-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * debian/libbamf0.symbols:
    - update to latest

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 16 Jul 2010 14:44:16 +0200

bamf (0.2.34-0ubuntu1) maverick; urgency=low

  * New upstream release.
    - Hangs when nautilus device detected dialog are displayed (LP: #601017)
    - Netbeans does not show in Unity when open (LP: #598083)
    - The launcher doesn't list some running softwares (LP: #601082)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 12 Jul 2010 15:49:36 +0200

bamf (0.2.32-0ubuntu1) maverick; urgency=low

  * New upstream release.
    - fix bad matchin on OOo (LP: #595583)
    - fix crash in bamf_matcher_possible_applications_for_window (LP: #597986)
    - fix exaile icon not showing in launcher (LP: #593470)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 24 Jun 2010 16:21:22 +0200

bamf (0.2.30-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - fix KDE applications not showing up in the Unity Launcher
      (LP: #592502)
  * debian/libbamf0.symbols:
    - adding new symbols

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 17 Jun 2010 18:07:38 +0200

bamf (0.2.28-0ubuntu1) maverick; urgency=low

  * New upstream release.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 10 Jun 2010 17:16:17 +0200

bamf (0.2.26-0ubuntu2) maverick; urgency=low

  * debian/libbamf-dev.install:
    - don't try to install a vapi file right now

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 07 Jun 2010 17:36:38 +0200

bamf (0.2.26-0ubuntu1) maverick; urgency=low

  * debian/control, debian/libbamf-doc.install:
    - add libbamf-doc package
  * debian/libbamf0.symbols:
    - updated
  * debian/control, debian/rules:
    - build the doc by default
  * debian/libbamf-dev.install:
    - install vapi files
  * debian/rules:
    - fix rm *{,l}a files
  * debian/watch:
    - use https
  * New upstream release.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 07 Jun 2010 10:45:49 +0200

bamf (0.2.24-0ubuntu1) maverick; urgency=low

  * New upstream release.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 27 May 2010 18:35:29 +0200

bamf (0.2.22-0ubuntu1) maverick; urgency=low

  * Initial Packaging (LP: #583880)
  * temporary disabling gir building due to bug:
    https://bugzilla.gnome.org/show_bug.cgi?id=619703

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 25 May 2010 10:32:24 +0200
